org.eclipse.microprofile.health

## Class Liveness.Literal

- java.lang.Object
- - jakarta.enterprise.util.AnnotationLiteral<Liveness>
  - - org.eclipse.microprofile.health.Liveness.Literal

All Implemented Interfaces:
  Serializable, Annotation, Liveness

Enclosing class:
  Liveness

    public static final class Liveness.Literal
    extends jakarta.enterprise.util.AnnotationLiteral<Liveness>
    implements Liveness

Support inline instantiation of the `Liveness` qualifier.

Since:
  2.2
Author:
  Antoine Sabot-Durand
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.health.Liveness

`Liveness.Literal`

### Field Summary

Fields
`static Liveness.Literal` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`Literal()`

### Method Summary

### Methods inherited from class jakarta.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Field Detail

#### INSTANCE

    public static final Liveness.Literal INSTANCE

### Constructor Detail

#### Literal

    public Literal()